Apidatadog
Search Datadog RUM events
Read operation: does not mutate upstream state.
curl -X POST "https://api.modernloop.dev/rest/v1/datadog/rum/events/search" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "events": [ { "id": "string", "type": "string", "timestamp": "string", "session": { "id": "string", "isReplayAvailable": true, "timeSpent": 0, "errorCount": 0, "frustrationCount": 0, "viewCount": 0, "actionCount": 0, "initialUrlPath": "string" }, "user": { "name": "string", "email": "string", "orgName": "string" }, "applicationName": "string" } ], "nextCursor": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
query*string
Datadog RUM search query
Length
1 <= lengthfrom?string
Start time as ISO timestamp (default: 1 day ago)
to?string
End time as ISO timestamp (default: now)
limit?integer
Maximum number of events to return (max 1000)
Range
1 <= value <= 1000Default
100cursor?string
Pagination cursor from a previous response (nextCursor)
Response Body
application/json
application/json
application/json
application/json
application/json